### Enumeration

# Clutter ActorFlags

#### Declaration

    flags Clutter.ActorFlags

#### Description [src]

Flags used to signal the state of an actor.

#### Members

`CLUTTER_ACTOR_MAPPED`

  The actor will be painted (is visible, and inside a toplevel, and all parents visible).

  - Value: `2`
  - Available since: 14
`CLUTTER_ACTOR_REALIZED`

  The resources associated to the actor have been allocated.

  - Value: `4`
  - Available since: 14
`CLUTTER_ACTOR_REACTIVE`

  The actor ‘reacts’ to mouse events emitting event signals.

  - Value: `8`
  - Available since: 14
`CLUTTER_ACTOR_VISIBLE`

  The actor has been shown by the application program.

  - Value: `16`
  - Available since: 14
`CLUTTER_ACTOR_NO_LAYOUT`

  The actor provides an explicit layout management policy for its children; this flag will prevent Clutter from automatic queueing of relayout and will defer all layouting to the actor itself.

  - Value: `32`
  - Available since: 14